Subject: [bug#51775] Rebased wip-pinebook-pro branch

From: phodina <[email-masked]>
Date: Wed, 17 Nov 2021 10:38:42 +0000

Hi,

On Wednesday, November 17th, 2021 at 12:22 AM, Vagrant Cascadian <[email-masked]> wrote:

> On 2021-11-16, Efraim Flashner wrote:
>
> > On Thu, Nov 11, 2021 at 09:30:09PM -0800, Vagrant Cascadian wrote:
> >
> > > What guix master branch does lack is decent documentation for the
> > >
> > > pinebook-pro; there is a system image configuration but I have not tried
> > >
> > > it out so cannot speak to how well it works.

I've used the system image configuration the build image for my Pinebook Pro.

It works, though I experience issue when I reboot the system the output on the screen is just some garbage. It has to be turned off completely. Then after cold boot it displays everything properly.

So I started to investigate which patch I'm missing and found this wip-pinebook-pro branch.
>
> > The pinebook pro boots from the SD card first if it's present, right? I
> >
> > have one sitting next to me, I can take some time and build an image and
> >
> > test it out.
>
> Pretty sure the hard-coded bootrom boot order is SPI -> eMMC -> microSD
>
> -> ... other stuff
>
Yes there is bootrom which launches the u-boot. I've updated mine to latest version and it let's me select, though boots first eMMC.

> So it depends on what else you have installed. I've never installed
>
> u-boot to SPI and yanked the eMMC to keep updates easier to fix when
>
> regressions happen; the u-boot loaded from microSD boots off of NVMe
>
> nicely...
>
> live well,
>
> vagrant

So the way forward would be to check with mainline which patches are already accepted, right?

Also I agree it makes no sense to support 5.10 version of the kernel.

Petr